{
  lib,
  fetchFromGitHub,
  buildDunePackage,

  menhirLib,
  menhir,
  re,
  otoml,
  ubase,
  ocamlgraph,
  uutf,
  js_of_ocaml,
  zarith_stubs_js,
  bindlib,
  alcotest,
  dates_calc,
  sedlex,
  js_of_ocaml-ppx,
  zarith,
  ocolor,
  unionFind,
  visitors,
  ninja_utils,
  ocaml-crunch,
  obelisk,
  cppo,
  groff,
}:

buildDunePackage rec {
  pname = "catala";
  version = "0.10.0";

  minimalOCamlVersion = "4.14";
  duneVersion = "3";

  src = fetchFromGitHub {
    owner = "CatalaLang";
    repo = "catala";
    rev = version;
    hash = "sha256-JMDJJ+KIIlWMcKhKGUGwPy5+XoiVd0b/uXKAIn85n/Q=";
  };

  buildInputs = [
    menhirLib
    js_of_ocaml
    re
    otoml
    ubase
    ocamlgraph
    uutf
    zarith_stubs_js
    bindlib
    alcotest
    dates_calc
    sedlex
    js_of_ocaml-ppx
    zarith
    ocolor
    unionFind
    visitors
    ninja_utils
  ];
  nativeBuildInputs = [
    menhir
    js_of_ocaml
    ocaml-crunch
    obelisk
    cppo
    groff
  ];

  meta = {
    description = "Programming language for literate programming law specification";
    homepage = "https://github.com/CatalaLang/catala";
    license = lib.licenses.asl20;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "catala";
    platforms = lib.platforms.all;
  };
}
