{
  lib,
  fetchFromGitHub,
  buildDunePackage,
  alcotest,
  qcheck,
  python3,
}:

buildDunePackage rec {
  pname = "dates_calc";
  version = "0.0.7";

  minimalOCamlVersion = "4.11";
  duneVersion = "3";

  src = fetchFromGitHub {
    owner = "catalalang";
    repo = "dates-calc";
    rev = version;
    sha256 = "sha256-MQpQZLXu+8Q9JLZ329KqO5O/qSO+4Tm7TDh0/OPJs0c=";
  };

  propagatedBuildInputs = [ ];
  nativeBuildInputs = [
    python3
  ];

  doCheck = true;
  checkInputs = [
    alcotest
    qcheck
  ];

  meta = {
    description = "Date calculation library";
    license = lib.licenses.asl20;
    maintainers = [ lib.maintainers.niols ];
    homepage = "https://github.com/catalalang/dates-calc";
  };
}
